package bootcampdia8.FilmCrud.controller;

import bootcampdia8.FilmCrud.FilmHelper;
import bootcampdia8.FilmCrud.model.Film;
import bootcampdia8.FilmCrud.model.Language;
import bootcampdia8.FilmCrud.repository.FilmRepository;
import org.apache.jasper.compiler.JspUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.ui.ModelMap;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.servlet.ModelAndView;

import javax.persistence.metamodel.Bindable;
import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;

@Controller
public class FilmController {

    private FilmRepository filmRepository;

    @Autowired
    public FilmController(FilmRepository filmRepository){
        this.filmRepository = filmRepository;
    }

    @GetMapping("/films")
    public ModelAndView serveMainPage(HttpServletRequest request){
        String id = request.getParameter("id");
        long idl;
        FilmHelper filmHelper = new FilmHelper();
        if(id!=null){
            Film film;
            idl = Long.parseLong(id);
            film = filmRepository.getById(idl);
            filmHelper.setId(idl);
            filmHelper.setTitle(film.getTitle());
            filmHelper.setDescription(film.getDescription());
            filmHelper.setReleaseYear(String.valueOf(film.getReleaseYear()));
            filmHelper.setDuration(String.valueOf(film.getDuration()));
            filmHelper.setLanguage(String.valueOf(film.getLanguage()));
        }
        ModelAndView mv = new ModelAndView("main", "film", filmHelper);
        mv.addObject("films", filmRepository.findAll(Sort.by(Sort.Direction.ASC, "id")));
        return mv;
    }

    @PostMapping("/addFilm")
    public String addFilm(HttpServletRequest request, @ModelAttribute("film") FilmHelper filmHelper, BindingResult bindingResult, ModelMap modelMap) {
        Film film = new Film();
        if (bindingResult.hasErrors()) {
            return "ERROR";
        }
        if (request.getParameter("action").equals("update")) {
            System.out.println(request.getParameter("id"));
            film = filmRepository.getById(Long.parseLong(request.getParameter("id")));
        }
        film.setTitle(filmHelper.getTitle());
        film.setDescription(filmHelper.getDescription());
        film.setReleaseYear(Long.parseLong(filmHelper.getReleaseYear()));
        film.setDuration(Long.parseLong(filmHelper.getDuration()));
        film.setLanguage(Long.parseLong(filmHelper.getLanguage()));
        filmRepository.save(film);
        return "redirect:/films";
    }

}
